
QGIS Application - Bug report #652

WMS Server Error when accessing MLI WMS Server

2007-03-12 02:52 PM - Bob-Bruce-gov-mb-ca -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10711

Description

Today I downloaded and installed the 0.8 version of QGIS and tried testing it with our local WMS Server. As soon as I tried making the

connection I got a message window with the errors shown in the attached JPG file. The WMS server is an Intergraph Geomedia Web

Publisher system.

Bob Bruce

History

#1 - 2007-03-16 02:18 PM - Magnus Homann

The Qgis query format is in the old 1.1.0 version, apparently not supported by your WMS server. No immediate fix planned.

#2 - 2007-03-22 09:30 AM - Bob-Bruce-gov-mb-ca -

Do you have a date planned to have this fixed by?

Bob Bruce

#3 - 2007-05-16 08:30 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

The difference between WMS 1.1.0 and 1.1.1 are minor. Therefore I replaced 'VERSION=1.1.0' with 'VERSION=1.1.1' in both 0.8.1 and svn head. The

access to the MLI server works now.

Marco

#4 - 2007-06-04 08:30 PM - Gary Sherman

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

FROM m@i11.de

Hi,

as guest i'm not allowed to report a bug in your Trac at

svn.qgis.org, but this might an important issue (and a
showstoper for me):

With update to version QGIS 0.81RC1 I can use my

favorite german WMS server no longer (see also:

http://www.geoserver.nrw.de/). Now the hard coded WMS

Version number is 1.1.1 but this server still requires

version 1.1.0

The error message is:

---

Konnte nicht zeichnen NRW TK 100 weil:

(Unknown error code from a post-1.3 WMS server)

The WMS vendor also reported:

Request nicht V1.1.0

This is probably due to a bug in the QGIS program.

Please report this error.

Tried URL: 

http://www.geoserver.nrw.de/GeoOgcWms1.3/servlet/TK100?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=2476593.2

1318,5539835.676320,2796994.196208,5856540.003006&#38;SRS=EPSG:31462&#38;WIDTH=903&#38;HEIGHT=892&#38;LAYERS=Raster%3ATK100_KMF%3AFarbkombination&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

100_KMF%3AFarbkombination&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

#5 - 2007-06-04 08:30 PM - Gary Sherman

- Status changed from Feedback to Open

#6 - 2007-06-05 12:10 AM - Marco Hugentobler

The only solution I see here is to make a GUI element that lets the user select versions 1.1.0/1.1.1/1.3.0

#7 - 2007-06-05 01:08 AM - Marco Hugentobler

Or, maybe better, parse the capabilities output for version strings

#8 - 2007-06-05 10:35 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

This is fixed now in head and 0.8.1 branch.

#9 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted

Files

MLI_WMSError.jpg 33.7 KB 2007-03-12 Bob-Bruce-gov-mb-ca -
